window.afterInitTable = function () {    
    InitResizableGrid('table.resizable-grid', getHeightTableHolder(110));
};

function deleteRules(options) {
    if (selectedIds.length == 0) { alert(TableResources.NoRecordsSelected); return false; }
    jConfirm(TableResources.SureDeleteRecords ,MeetingResources.ConfirmAction, function (confirmed) {
        if (!confirmed) {
            $('#dropconstraints').val("False");
            return false;
        }
        else {
            var params = { id: selectedIds.join(','), dropconstraints: $('#dropconstraints').val(), nolayout: true, timestamp: new Date().toString() };
            if (options != null) $.extend(params, options);
            var url = base + tableController() + 'Delete';
            selectedIds.length = 0;
            $(tableRootDiv).load(url, params, initTable);
            return false;
        }
    });
    return false;
}

function clearRouteFilter() {
    if ($('#clearfilter').hasClass('disabled')) return false;

    var params = mergeTableDefaultLoadParams();

    params["reset"] = true;
    params["nolayout"] = true;

    //Уберем фильтр чтобы сбросить его состояние
    $('#filterholder').remove(); $('ul.filterlist li.selected').removeClass('selected');
    $('#columnsholder').remove();
    $('#search').val('');
    disableSaveAndClear();

    $(tableRootDiv).load(tableUrl(), params, function () { initTable(); });
    $("#search").removeClass('x onX').val('').change();
    return false;
}